#include <iostream>
#include <stdio.h>
#include <string>
#include <math.h>

using namespace std;

int main(int argc, char** argv) {
	long int n;
	scanf("%ld",&n);
	long a[n];
	double p[n];
	long double najveci=0.0;
	long double zbir=0.0;
	for(int i=0;i<n;i++){
		scanf("%ld %lf",&a[i],&p[i]);
	}
	for(int i=0;i<n;i++){
		for(int j=0;j<n;j++){
			if(p[i]<=p[j]){
				zbir+=a[j];
			}
		}
		zbir*=p[i]/100.0;
		
		if(zbir>najveci)
			najveci=zbir;
		zbir=0.0;
	}
	
	printf("%.4Lf",najveci);
	return 0;
}